Bug 1272420 - /etc/sysconfig/grub: net.ifnames=0 cannot be added as new line
/etc/sysconfig/grub: net.ifnames=0 cannot be added as new line
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Networking_Guide (Show other bugs)
7.3
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Ioanna Gkioka
ecs-bugs
: Documentation, EasyFix
Depends On:
Blocks: 1425467
  Show dependency treegraph
 
Reported: 2015-10-16 07:16 EDT by Branislav Blaškovič
Modified: 2017-05-24 12:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-24 12:06:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branislav Blaškovič 2015-10-16 07:16:19 EDT
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-Disabling_Consistent_Network_Device_Naming.html

Section Number and Name: 8.9. DISABLING CONSISTENT NETWORK DEVICE NAMING

Describe the issue: 
> Add the following line to the /etc/default/grub file:
> net.ifnames=0

This is not true! If you do this, the result will be in broken grub2-mkconfig which parses this file.

Suggestions for improvement:
You have to add 'net.ifnames=0' to GRUB_CMDLINE_LINUX variable, so it will be used as kernel parameter.
Comment 3 vthemeli 2016-01-26 08:24:42 EST
Updated documentation.
Next step is to push to GitLab.
Comment 6 Branislav Blaškovič 2016-01-27 09:21:38 EST
Do you need just the review of the text in comment 5? It looks good from my point of view.

If you need something more, just let me know.
Comment 16 Patrick Talbert 2017-04-24 09:36:03 EDT
Hello Ioanna,

I think that looks good. For the second point "Create your own manual naming scheme" ... is there a doc or something that can be linked which might help someone create the udev rules?

I dunno, maybe that is not necessary. I think it is fine how it is now in your most recent revision either way.


Thank you,

Patrick
Comment 18 Mirek Jahoda 2017-05-24 12:06:43 EDT
The update has been published on the Customer Portal [1]

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7-Beta/html-single/Networking_Guide/index.html

Note You need to log in before you can comment on or make changes to this bug.